Sfoglia il codice sorgente

* Run the autopkg tests for all supported Python3 versions. Closes: #976592
* debian/tests/testsuite3: Unset http(s)_proxy because they break the tests.

Jelmer Vernooij 3 anni fa
parent
commit
0f9f9aeea6
3 ha cambiato i file con 21 aggiunte e 2 eliminazioni
  1. 8 0
      debian/changelog
  2. 1 1
      debian/tests/control
  3. 12 1
      debian/tests/testsuite3

+ 8 - 0
debian/changelog

@@ -1,11 +1,19 @@
 dulwich (0.20.26-1) UNRELEASED; urgency=low
 
+  [ Jelmer Vernooij ]
   * New upstream release.
+    + Fixes handling of os.PathLike arguments to Repo.stage. Closes: #997303
   * Bump debhelper from old 12 to 13.
   * Set upstream metadata fields: Security-Contact.
   * Drop transition for old debug package migration.
   * Update standards version to 4.6.0, no changes needed.
 
+  [ Matthias Klose ]
+  * Run the autopkg tests for all supported Python3 versions. Closes: #976592
+
+  [ Balint Reczey ]
+  * debian/tests/testsuite3: Unset http(s)_proxy because they break the tests.
+
  -- Jelmer Vernooij <jelmer@debian.org>  Fri, 29 Oct 2021 01:42:53 -0000
 
 dulwich (0.20.25-1) unstable; urgency=low

+ 1 - 1
debian/tests/control

@@ -1,3 +1,3 @@
 Tests: testsuite3
-Depends: python3-dulwich, git, gnupg, python3-gpg
+Depends: python3-all, python3-dulwich, git, gnupg, python3-gpg
 Restrictions: allow-stderr

+ 12 - 1
debian/tests/testsuite3

@@ -1,3 +1,14 @@
 #!/bin/sh
 set -e
-python3 -m unittest dulwich.tests.test_suite
+
+unset http_proxy
+unset https_proxy
+
+rv=0
+for py in $(py3versions -s); do
+  echo "========= Running tests with $py =========="
+  if ! $py3 -m unittest dulwich.tests.test_suite; then
+    rv=1
+  fi
+done
+exit $rv